Skip to content

List product/brand breakouts (Beta)

v1.0.0
OpenAPI 3.1.0

Upriver API

A social insights API for ad generation platforms. It provides structured signals, like psychographics, behavioral insights, trends, and audience language, to help AI models generate relevant, higher-converting ads.

Server:https://api.upriver.ai

Production API server

Client Libraries

List product/brand breakouts (Beta)

​
Query Parameters
  • lifecycle
    Type: string · Lifecyclenullable
  • program
    const:  
    general_market
  • persona
    Type: string · Personanullable
  • entity
    Type: string · Entitynullable
  • brand_safety
    Type: string · Brand Safetynullable
  • platform
    Type: string · Platformnullable
  • min_size
    Type: integer · Min Size
    min:  
    1
    nullable

    Integer numbers.

  • since
    Type: string · SinceFormat: date-timenullable

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • sort
    Type: string · Sortenum
    values
    • rising
    • momentum
    • newest
    • value
    • freshness
    • size
  • limit
    Type: integer · Limit
    min:  
    1
    max:  
    100

    Integer numbers.

  • offset
    Type: integer · Offset
    min:  
    0

    Integer numbers.

Responses
  • application/json
  • application/json
Request Example for get/v2/radar/breakouts
curl https://api.upriver.ai/v2/radar/breakouts \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "beta": "Beta: response shapes may change and this surface may converge with /v2/trends.",
  "items": [
    {
      "id": "string",
      "type": "trend_moment",
      "name": "string",
      "description": "string",
      "insight": "string",
      "how_to_act": "string",
      "brand_safety": "string",
      "lifecycle_state": "string",
      "momentum_ratio": 1,
      "value_score": 1,
      "stats": {
        "additionalProperty": "anything"
      },
      "personas": [
        {
          "additionalProperty": "anything"
        }
      ],
      "program": "string",
      "first_seen": "2026-11-06T03:35:49.599Z",
      "last_updated": "2026-11-06T03:35:49.599Z",
      "archived": false
    }
  ],
  "total": 1
}